QGIS Application - Bug report #10973
[Errno 9] Bad file descriptor, Modeler
2014-07-29 07:48 AM - Marcin Bochinski

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 19319
Description

Hello,

i tried on win8.1 and win7. Also i tried on a few computers (3 laptops and 2 PC's) and i have the same problem. Also i delete .qgis folder,
install simple and advanced instalation, install to default and other localization, use data in .shp file and in esri database.

| don't have this problem in QGIS 2.2.

Description:
Sometimes i have this problem with clip another time with v.extract.

Sample data and model (.zip has 5,6 MB):
http://180upload.com/7wgwd44krpijk

Log:

Running Clip [6/11]

Parameters: INPUT =C:/Users/AIRBUS/Desktop/sample/data/och2_sample.shp, OVERLAY
=C:\\Users\\AIRBUS\\AppData\\Local\ Temp\\processing\\4f2cbffb9d71456¢c8c6921a41d3a3467\\RESULT.shp
Converting outputs

Outputs: OUTPUT
=C:\\Users\\AIRBUS\\AppData\\Local\\Temp\\processing\\99ee88c7e52c4d6a91827be13d753cb6\\OUTPUT.shp
OK. Execution took 0.059 ms (1 outputs).

Prepare algorithm 6: Clip

Running Clip [7/11]

Parameters: INPUT =C:/Users/AIRBUS/Desktop/sample/data/och3_sample.shp, OVERLAY
=C:\\Users\\AIRBUS\\AppData\\Local\\Temp\\processing\\4f2cbffb9d71456c8c6921a41d3a3467\\RESULT.shp
Converting outputs

Outputs: OUTPUT
=C:\\Users\\AIRBUS\\AppData\\Local\\Temp\\processing\\f640fb096bda40b5a60987d147a382dc\\OUTPUT.shp
OK. Execution took 0.177 ms (1 outputs).

Prepare algorithm 7: v.extract - Selects vector objects from a vector layer a new layer containing only the selected objects.
[Errno 9] Bad file descriptor See log for more details

History

#1 - 2014-07-30 05:16 AM - Giovanni Manghi
- Resolution set to duplicate
http://180upload.com/7wgwd44krpjk

- Status changed from Open to Closed

- Category set to 94

this is duplicate of #10780, that was fixed in qgis master

you can easily apply this fiz by deleting the line in the file referenced here

#322cd0d03bfa7b1971c04a0adff973619289f583

Anyway after that the model will throw another error, but it is to be seen if is a QGIS/Processing/Modeler issue or a model issue
Running Intersection [9/11]

Parameters: INPUT =/tmp/processing/cc83f4ff9eaf4617bf8388e0d7c1cebf/output.shp, INPUT2
=/tmp/processing/5b5af826223441f681664efbcc907575/output.shp

Failed

Error executing algorithm 8 'NoneType' object has no attribute 'dataProvider' See log for more details

#2 - 2015-06-07 04:31 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core

2024-04-20 22



